      SUBROUTINE MERROR ( TEXT )
C*
C*                  *******************************
C*                  *******************************
C*                  **                           **
C*                  **          MERROR           **
C*                  **                           **
C*                  *******************************
C*                  *******************************
C*
C*     SUBPROGRAM :
C*          MERLIB ERROR
C*
C*     AUTHOR :
C*          ART RAGOSTA
C*          MS 207-5
C*          AMES RESEARCH CENTER
C*          MOFFETT FIELD, CA  94035
C*          (415) 694-5578
C*
C*     PURPOSE :
C*          PRODUCE AN ERROR MESSAGE TO THE TERMINAL.
C*
C*     INPUT ARGUMENTS :
C*          TEXT - THE TEXT OF THE ERROR MESSAGE
C*
C*     OUTPUT ARGUMENTS :
C*          NONE
C*
C*     INTERNAL WORK AREAS :
C*          NONE
C*
C*     COMMON BLOCKS :
C*          NONE
C*
C*     FILE REFERENCES :
C*          6 - TRANSPORTABLE VERSION ONLY
C*
C*     SUBPROGRAM REFERENCES :
C*          LIB$PUT_OUTPUT, LENGTH
C*
C*     ERROR PROCESSING :
C*          NONE
C*
C*     TRANSPORTABILITY LIMITATIONS :
C*          THE VAX VERSION USES 'LIB$PUT_OUTPUT'
C*
C*     ASSUMPTIONS AND RESTRICTIONS :
C*          NONE
C*
C*     LANGUAGE AND COMPILER :
C*          ANSI FORTRAN 77
C*
C*     VERSION AND DATE :
C*          VERSION I.0     10-SEP-85
C*
C*     CHANGE HISTORY :
C*          10-SEP-85    INITIAL VERSION
C*
C***********************************************************************
C*
C     PARAMETER (NOUT=6)
      CHARACTER *(*) TEXT
C
      CALL LIB$PUT_OUTPUT('MERLIB error, '//TEXT(1:LENGTH(TEXT)))
C
C      WRITE(NOUT,900) TEXT(1:LENGTH(TEXT))
C900   FORMAT(' MERLIB error, ',A)
C
      RETURN
      END
C
C---END MERROR
C
